std::__debug::multiset< _Key, _Compare, _Allocator >(3cxx)

NAME
std::__debug::multiset< _Key, _Compare, _Allocator > - Class std::multiset with safety/checking/debug instrumentation.

SYNOPSIS

#include <set>

Inherits __gnu_debug::_Safe_container< _SafeContainer, _Alloc, _SafeBase, _IsCxx11AllocatorAware >.

  Public Types

typedef _Allocator allocator_type
typedef __gnu_debug::_Safe_iterator< _Base_const_iterator, multiset > const_iterator
typedef _Base::const_pointer const_pointer
typedef _Base::const_reference const_reference
typedef std::reverse_iterator< const_iterator > const_reverse_iterator
typedef _Base::difference_type difference_type
typedef __gnu_debug::_Safe_iterator< _Base_iterator, multiset > iterator
typedef _Compare key_compare
typedef _Key key_type
using node_type
typedef _Base::pointer pointer
typedef _Base::reference reference
typedef std::reverse_iterator< iterator > reverse_iterator
typedef _Base::size_type size_type
typedef _Compare value_compare
typedef _Key value_type

  Public Member Functions

multiset (_Base_ref __x)
template<typename _InputIterator> multiset (_InputIterator __first, _InputIterator __last, const _Compare &__comp=_Compare(), const _Allocator &__a=_Allocator())
template<typename _InputIterator> multiset (_InputIterator __first, _InputIterator __last, const allocator_type &__a)
multiset (const _Compare &__comp, const _Allocator &__a=_Allocator())
multiset (const allocator_type &__a)
multiset (const multiset &)=default
multiset (const multiset &__m, const __type_identity_t< allocator_type > &__a)
multiset (initializer_list< value_type > __l, const _Compare &__comp=_Compare(), const allocator_type &__a=allocator_type())
multiset (initializer_list< value_type > __l, const allocator_type &__a)
multiset (multiset &&)=default
multiset (multiset &&__m, const __type_identity_t< allocator_type > &__a) noexcept(noexcept(_Base(std::move(__m), __a)))
__attribute ((__abi_tag__('cxx11'))) iterator erase(const_iterator __first
__attribute ((__abi_tag__('cxx11'))) iterator erase(const_iterator __position)
const _Base & _M_base () const noexcept
_Base & _M_base () noexcept
const_iterator begin () const noexcept
iterator begin () noexcept
const_iterator cbegin () const noexcept
const_iterator cend () const noexcept
void clear () noexcept
const_reverse_iterator crbegin () const noexcept
const_reverse_iterator crend () const noexcept
template<typename... _Args> iterator emplace (_Args &&... __args)
template<typename... _Args> iterator emplace_hint (const_iterator __pos, _Args &&... __args)
const_iterator end () const noexcept
iterator end () noexcept
template<typename _Kt, typename _Req = typename __has_is_transparent<_Compare, _Kt>::type> std::pair< iterator, iterator > equal_range (const _Kt &__x)
template<typename _Kt, typename _Req = typename __has_is_transparent<_Compare, _Kt>::type> std::pair< const_iterator, const_iterator > equal_range (const _Kt &__x) const
std::pair< iterator, iterator > equal_range (const key_type &__x)
std::pair< const_iterator, const_iterator > equal_range (const key_type &__x) const
_Base_iterator erase (_Base_const_iterator __position)
size_type erase (const key_type &__x)
node_type extract (const key_type &__key)
node_type extract (const_iterator __position)
template<typename _Kt, typename _Req = typename __has_is_transparent<_Compare, _Kt>::type> iterator find (const _Kt &__x)
template<typename _Kt, typename _Req = typename __has_is_transparent<_Compare, _Kt>::type> const_iterator find (const _Kt &__x) const
iterator find (const key_type &__x)
const_iterator find (const key_type &__x) const
for (_Base_const_iterator __victim=__first.base();__victim !=__last.base();++__victim)
template<typename _InputIterator> void insert (_InputIterator __first, _InputIterator __last)
iterator insert (const value_type &__x)
iterator insert (const_iterator __hint, node_type &&__nh)
iterator insert (const_iterator __position, const value_type &__x)
iterator insert (const_iterator __position, value_type &&__x)
void insert (initializer_list< value_type > __l)
iterator insert (node_type &&__nh)
iterator insert (value_type &&__x)
template<typename _Kt, typename _Req = typename __has_is_transparent<_Compare, _Kt>::type> iterator lower_bound (const _Kt &__x)
template<typename _Kt, typename _Req = typename __has_is_transparent<_Compare, _Kt>::type> const_iterator lower_bound (const _Kt &__x) const
iterator lower_bound (const key_type &__x)
const_iterator lower_bound (const key_type &__x) const
multiset & operator= (const multiset &)=default
multiset & operator= (initializer_list< value_type > __l)
multiset & operator= (multiset &&)=default
const_reverse_iterator rbegin () const noexcept
reverse_iterator rbegin () noexcept
const_reverse_iterator rend () const noexcept
reverse_iterator rend () noexcept
void swap (multiset &__x) noexcept(/*conditional */)
template<typename _Kt, typename _Req = typename __has_is_transparent<_Compare, _Kt>::type> iterator upper_bound (const _Kt &__x)
template<typename _Kt, typename _Req = typename __has_is_transparent<_Compare, _Kt>::type> const_iterator upper_bound (const _Kt &__x) const
iterator upper_bound (const key_type &__x)
const_iterator upper_bound (const key_type &__x) const
if(__builtin_expect(!bool(__first._M_attached_to(this)), false)) __gnu_debug while (false)

  Public Attributes

const_iterator __last
do
return

  Protected Member Functions

void _M_swap (_Safe_container &__x) noexcept

  Friends

template<typename _ItT, typename _SeqT, typename _CatT> class ::__gnu_debug::_Safe_iterator

Detailed Description

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Allocator = std::allocator<_Key>>
class std::__debug::multiset< _Key, _Compare, _Allocator >"Class std::multiset with safety/checking/debug instrumentation.

Author

Generated automatically by Doxygen for libstdc++ from the source code.